﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/backupsearch/model/ListSearchResultExportJobsRequest.h>
#include <aws/core/utils/json/JsonSerializer.h>
#include <aws/core/http/URI.h>
#include <aws/core/utils/memory/stl/AWSStringStream.h>

#include <utility>

using namespace Aws::BackupSearch::Model;
using namespace Aws::Utils::Json;
using namespace Aws::Utils;
using namespace Aws::Http;

ListSearchResultExportJobsRequest::ListSearchResultExportJobsRequest() : 
    m_status(ExportJobStatus::NOT_SET),
    m_statusHasBeenSet(false),
    m_searchJobIdentifierHasBeenSet(false),
    m_nextTokenHasBeenSet(false),
    m_maxResults(0),
    m_maxResultsHasBeenSet(false)
{
}

Aws::String ListSearchResultExportJobsRequest::SerializePayload() const
{
  return {};
}

void ListSearchResultExportJobsRequest::AddQueryStringParameters(URI& uri) const
{
    Aws::StringStream ss;
    if(m_statusHasBeenSet)
    {
      ss << ExportJobStatusMapper::GetNameForExportJobStatus(m_status);
      uri.AddQueryStringParameter("Status", ss.str());
      ss.str("");
    }

    if(m_searchJobIdentifierHasBeenSet)
    {
      ss << m_searchJobIdentifier;
      uri.AddQueryStringParameter("SearchJobIdentifier", ss.str());
      ss.str("");
    }

    if(m_nextTokenHasBeenSet)
    {
      ss << m_nextToken;
      uri.AddQueryStringParameter("NextToken", ss.str());
      ss.str("");
    }

    if(m_maxResultsHasBeenSet)
    {
      ss << m_maxResults;
      uri.AddQueryStringParameter("MaxResults", ss.str());
      ss.str("");
    }

}



