﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/bedrock-agent/model/MissingNodeOutputFlowValidationDetails.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace BedrockAgent
{
namespace Model
{

MissingNodeOutputFlowValidationDetails::MissingNodeOutputFlowValidationDetails() : 
    m_nodeHasBeenSet(false),
    m_outputHasBeenSet(false)
{
}

MissingNodeOutputFlowValidationDetails::MissingNodeOutputFlowValidationDetails(JsonView jsonValue)
  : MissingNodeOutputFlowValidationDetails()
{
  *this = jsonValue;
}

MissingNodeOutputFlowValidationDetails& MissingNodeOutputFlowValidationDetails::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("node"))
  {
    m_node = jsonValue.GetString("node");

    m_nodeHasBeenSet = true;
  }

  if(jsonValue.ValueExists("output"))
  {
    m_output = jsonValue.GetString("output");

    m_outputHasBeenSet = true;
  }

  return *this;
}

JsonValue MissingNodeOutputFlowValidationDetails::Jsonize() const
{
  JsonValue payload;

  if(m_nodeHasBeenSet)
  {
   payload.WithString("node", m_node);

  }

  if(m_outputHasBeenSet)
  {
   payload.WithString("output", m_output);

  }

  return payload;
}

} // namespace Model
} // namespace BedrockAgent
} // namespace Aws
