﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/bedrock-runtime/model/ToolUseBlockDelta.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace BedrockRuntime
{
namespace Model
{

ToolUseBlockDelta::ToolUseBlockDelta() : 
    m_inputHasBeenSet(false)
{
}

ToolUseBlockDelta::ToolUseBlockDelta(JsonView jsonValue)
  : ToolUseBlockDelta()
{
  *this = jsonValue;
}

ToolUseBlockDelta& ToolUseBlockDelta::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("input"))
  {
    m_input = jsonValue.GetString("input");

    m_inputHasBeenSet = true;
  }

  return *this;
}

JsonValue ToolUseBlockDelta::Jsonize() const
{
  JsonValue payload;

  if(m_inputHasBeenSet)
  {
   payload.WithString("input", m_input);

  }

  return payload;
}

} // namespace Model
} // namespace BedrockRuntime
} // namespace Aws
