﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#pragma once
#include <aws/bedrock/Bedrock_EXPORTS.h>
#include <aws/core/utils/memory/stl/AWSString.h>

namespace Aws
{
namespace Bedrock
{
namespace Model
{
  enum class PromptRouterType
  {
    NOT_SET,
    custom,
    default_
  };

namespace PromptRouterTypeMapper
{
AWS_BEDROCK_API PromptRouterType GetPromptRouterTypeForName(const Aws::String& name);

AWS_BEDROCK_API Aws::String GetNameForPromptRouterType(PromptRouterType value);
} // namespace PromptRouterTypeMapper
} // namespace Model
} // namespace Bedrock
} // namespace Aws
