﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/cleanrooms/model/DifferentialPrivacyColumn.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace CleanRooms
{
namespace Model
{

DifferentialPrivacyColumn::DifferentialPrivacyColumn() : 
    m_nameHasBeenSet(false)
{
}

DifferentialPrivacyColumn::DifferentialPrivacyColumn(JsonView jsonValue)
  : DifferentialPrivacyColumn()
{
  *this = jsonValue;
}

DifferentialPrivacyColumn& DifferentialPrivacyColumn::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("name"))
  {
    m_name = jsonValue.GetString("name");

    m_nameHasBeenSet = true;
  }

  return *this;
}

JsonValue DifferentialPrivacyColumn::Jsonize() const
{
  JsonValue payload;

  if(m_nameHasBeenSet)
  {
   payload.WithString("name", m_name);

  }

  return payload;
}

} // namespace Model
} // namespace CleanRooms
} // namespace Aws
