﻿/**
 * Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 * SPDX-License-Identifier: Apache-2.0.
 */

#include <aws/cleanrooms/model/MembershipProtectedQueryOutputConfiguration.h>
#include <aws/core/utils/json/JsonSerializer.h>

#include <utility>

using namespace Aws::Utils::Json;
using namespace Aws::Utils;

namespace Aws
{
namespace CleanRooms
{
namespace Model
{

MembershipProtectedQueryOutputConfiguration::MembershipProtectedQueryOutputConfiguration() : 
    m_s3HasBeenSet(false)
{
}

MembershipProtectedQueryOutputConfiguration::MembershipProtectedQueryOutputConfiguration(JsonView jsonValue)
  : MembershipProtectedQueryOutputConfiguration()
{
  *this = jsonValue;
}

MembershipProtectedQueryOutputConfiguration& MembershipProtectedQueryOutputConfiguration::operator =(JsonView jsonValue)
{
  if(jsonValue.ValueExists("s3"))
  {
    m_s3 = jsonValue.GetObject("s3");

    m_s3HasBeenSet = true;
  }

  return *this;
}

JsonValue MembershipProtectedQueryOutputConfiguration::Jsonize() const
{
  JsonValue payload;

  if(m_s3HasBeenSet)
  {
   payload.WithObject("s3", m_s3.Jsonize());

  }

  return payload;
}

} // namespace Model
} // namespace CleanRooms
} // namespace Aws
